org.apache.solr.client.solrj.response

## Class AnalysisResponseBase

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.AnalysisResponseBase

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    DocumentAnalysisResponse, FieldAnalysisResponse

      public class AnalysisResponseBase
      extends SolrResponseBase

  A base class for all analysis responses.
  Since:
    solr 1.4
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AnalysisResponseBase.AnalysisPhase` A phase in the analysis process.
    `static class` | `AnalysisResponseBase.TokenInfo` Holds all information of a token as part of an analysis phase.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalysisResponseBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<AnalysisResponseBase.AnalysisPhase>` | `buildPhases(NamedList<List<NamedList<Object>>> phaseNL)` Parses the given named list and builds a list of analysis phases form it.
    `protected AnalysisResponseBase.TokenInfo` | `buildTokenInfo(NamedList<Object> tokenNL)` Parses the given named list and builds a token infoform it.

    - ### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

      `getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, setResponse, toString`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

      `deserialize, serializable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalysisResponseBase

          public AnalysisResponseBase()

  - ### Method Detail

    - #### buildPhases

          protected List<AnalysisResponseBase.AnalysisPhase> buildPhases(NamedList<List<NamedList<Object>>> phaseNL)

      Parses the given named list and builds a list of analysis phases form it. Expects a named list of the form:

            <lst name="index">
                <arr name="Tokenizer">
                    <str name="text">the_text</str>
                    <str name="rawText">the_raw_text</str> (optional)
                    <str name="type">the_type</str>
                    <int name="start">1</str>
                    <int name="end">3</str>
                    <int name="position">1</str>
                    <bool name="match">true | false</bool> (optional)
                </arr>
                <arr name="Filter1">
                    <str name="text">the_text</str>
                    <str name="rawText">the_raw_text</str> (optional)
                    <str name="type">the_type</str>
                    <int name="start">1</str>
                    <int name="end">3</str>
                    <int name="position">1</str>
                    <bool name="match">true | false</bool> (optional)
                </arr>
                ...
            </lst>

      Parameters:
        `phaseNL` - The names list to parse.
      Returns:
        The built analysis phases list.

    - #### buildTokenInfo

          protected AnalysisResponseBase.TokenInfo buildTokenInfo(NamedList<Object> tokenNL)

      Parses the given named list and builds a token infoform it. Expects a named list of the form:

            <arr name="Tokenizer">
                <str name="text">the_text</str>
                <str name="rawText">the_raw_text</str> (optional)
                <str name="type">the_type</str>
                <int name="start">1</str>
                <int name="end">3</str>
                <int name="position">1</str>
                <bool name="match">true | false</bool> (optional)
            </arr>

      Parameters:
        `tokenNL` - The named list to parse.
      Returns:
        The built token info.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.